Bug 113874 - Crash when closing document via Java UNO API
Summary: Crash when closing document via Java UNO API
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.7.2 release
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.1.0 target:5.4.5 target:6.0.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-16 09:38 UTC by Samuel Mehrbrodt (CIB)
Modified: 2018-01-11 15:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
crash analysis from Windbg (11.16 KB, text/plain)
2017-11-16 09:38 UTC, Samuel Mehrbrodt (CIB)
Details
Another crash analysis from windbg (6.02 KB, text/plain)
2018-01-10 13:13 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-11-16 09:38:31 UTC
Created attachment 137802 [details]
crash analysis from Windbg

See attached Windbg analysis.
Comment 1 Samuel Mehrbrodt (CIB) 2018-01-10 13:13:01 UTC
Created attachment 139018 [details]
Another crash analysis from windbg
Comment 2 Samuel Mehrbrodt (CIB) 2018-01-10 13:14:10 UTC
Patch: https://gerrit.libreoffice.org/#/c/47702/
Comment 3 Commit Notification 2018-01-10 14:49:30 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d2763bde00f0f840585e1ec4c8f94c0ef804a580

tdf#113874 Guard against invalid states

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-01-11 09:16:39 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9cbd76c050de4b770c4c30582c957d4d44b8c457&h=libreoffice-5-4

tdf#113874 Guard against invalid states

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-01-11 15:07:09 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10eb616c3106b538857542f1c4b1df375a6cf1b6&h=libreoffice-6-0

tdf#113874 Guard against invalid states

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.